## org.eclipse.wst.wsdl.binding.mime
Interface MIMEMultipartRelated

All Superinterfaces:
  javax.wsdl.extensions.ExtensibilityElement, javax.wsdl.extensions.mime.MIMEMultipartRelated, java.io.Serializable, WSDLElement

    public interface MIMEMultipartRelated

extends ExtensibilityElement, javax.wsdl.extensions.mime.MIMEMultipartRelated

A representation of the model object 'Multipart Related'.

The following features are supported:

- `EMIME Part`

See Also:
  `MIMEPackage.getMIMEMultipartRelated()`

Method Summary
`void` `addMIMEPart(javax.wsdl.extensions.mime.MIMEPart mimePart)`
`EList` `getEMIMEPart()` Returns the value of the 'EMIME Part' containment reference list.
`java.util.List` `getMIMEParts()`

Methods inherited from interface org.eclipse.wst.wsdl.ExtensibilityElement
`getElementType, isRequired, setElementType, setRequired`

Methods inherited from interface org.eclipse.wst.wsdl.WSDLElement
`elementChanged, getContainer, getDocumentationElement, getElement, getEnclosingDefinition, setDocumentationElement, setElement, setEnclosingDefinition, updateElement, updateElement`

Methods inherited from interface javax.wsdl.extensions.ExtensibilityElement
`getRequired, setRequired`

Methods inherited from interface javax.wsdl.extensions.ExtensibilityElement
`getRequired, setRequired`

Method Detail

### getEMIMEPart

    EList getEMIMEPart()

  Returns the value of the 'EMIME Part' containment reference list. The list contents are of type `MIMEPart`.

  If the meaning of the 'EMIME Part' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'EMIME Part' containment reference list.
  See Also:
    `MIMEPackage.getMIMEMultipartRelated_EMIMEPart()`

### addMIMEPart

    void addMIMEPart(javax.wsdl.extensions.mime.MIMEPart mimePart)

  Specified by:
    `addMIMEPart` in interface `javax.wsdl.extensions.mime.MIMEMultipartRelated`

### getMIMEParts

    java.util.List getMIMEParts()

  Specified by:
    `getMIMEParts` in interface `javax.wsdl.extensions.mime.MIMEMultipartRelated`